To define

Supported Formats

json

GET /api/patients/clinical/monitoring_assessments
Assessments

Supported Formats

json

Errors

Code Description
401 Unauthorized
500 Server crashed for some <%= reason %>

Params

Param name Description
access_token
optional

CarePaths User OAuth Token

Validations:

  • Must be String.

Returns

Code: 200

Description:

Assessment

Param name Description
code
required

Validations:

  • Must be String.

score
required

Validations:

  • Must be String.


POST /api/patients/clinical/monitoring_assessments
creates a MonitoringAssessment

Supported Formats

json

Errors

Code Description
401 Unauthorized
500 Server crashed for some <%= reason %>

Params

Param name Description
access_token
optional

user authentication token

Validations:

  • Must be String.

items
optional

responses for the assessment: {“gad7”=>{“8”=>“2”, “7”=>“2”, “6”=>“2”, “5”=>“2”, “4”=>“1”, “3”=>“2”, “2”=>“2”, “1”=>“2”, “0”=>“”}}

Validations:

  • Must be Hash.

Returns

Code: 200

Description:

OK

Param name Description

GET /api/patients/clinical/monitoring_assessments/:id
returns an Assessment reports

Supported Formats

json

Errors

Code Description
401 Unauthorized
500 Server crashed for some <%= reason %>

Params

Param name Description
access_token
optional

CarePaths User OAuth Token

Validations:

  • Must be String.

id
optional

id of the requested assessment

Validations:

  • Must be number.

Returns

Code: 200

Description:

List of reports based on the user type

Param name Description
patient
required

Validations:

  • Must be String.

full
required

Validations:

  • Must be String.

chart_data
required

Validations:

  • Must be Hash.

clinician
required

Validations:

  • Must be String.